var controlDobleClick=true;
var idParTec="";
var planoFirma=null;
var tecnicoSeleccionado="";
$( document ).ready(function() {
	
	var idParte=$("#idparte").val();
	var codigoEdificio=$("#idEdificio").val();
	
	

	
	$("#divNumAveria").hide();
	
	$("#GRID_parteTecnicos").rup_grid({
		width: 865,
		//hasMaint:true,
		//cellEdit:true,
		url: "../partetecnicos/obtenerTecnicosParteAsignadosGrid?idParte=" + idParte,
		pagerName: "pagerTec",
		rowNum: "10",
		sortorder: "asc",
		sortname: "nombre",
	    onSelectRow: cargarEjecucionTecnico,
		colNames: [
			"",
			"H",
			"idpartec",
			$.rup.i18n.app.parteTecnicos.estadogmao,
			$.rup.i18n.app.nuevo.nombre,
			$.rup.i18n.app.parteTecnicos.tiemporeal,
			"",
			$.rup.i18n.app.parteTecnicos.aceptada,
			$.rup.i18n.app.nuevo.observ,
			"",
			"",
			"",
			"",
			"",
			"",
			"",
			""
		],
		colModel: [
			{ name: "finalizado",
				label: "finalizado",
				index: "finalizado",
				width: "15",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "idpartec",
				label: "idpartec",
				index: "idpartec",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "idtecnico",
				label: "idtecnico",
				index: "idtecnico",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "finalizado2",
				label: "finalizado2",
				index: "finalizado2",
				width: "40",
				align : "center",
				//hide:true,
				editable: true,
				edittype: "checkbox",
				formatter :
			     function(cellval, el, opts) 
			    	{
			    		var html = '';
			    		var src = '';
			    		if(opts.movilgmao == '1'){
			    			if (opts.estadogmao && opts.estadogmao != ""){
				    			if(opts.estadogmao == "ASIG"){
				    				src=$.rup.APP_STATICS + "/images/asignado.png";
				    				html = '<img width="15" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaoasig+'">';
				    			}else if(opts.estadogmao == "CURS"){
				    				src=$.rup.APP_STATICS + "/images/encurso.gif";
				    				html = '<img width="22" height="22" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaocurs+'">';
				    			}else if(opts.estadogmao == "PAUSA"){
				    				src=$.rup.APP_STATICS + "/images/pausa.png";
				    				html = '<img width="17" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaopausa+'">';
				    			}else if(opts.estadogmao == "TERM"){
				    				src=$.rup.APP_STATICS + "/images/ok.png";
				    				html = '<img width="15" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaoterm+'">';
				    			}
				            }else{
				            	src=$.rup.APP_STATICS + "/images/asignado.png";
			    				html = '<img width="15" height="15" src='+src+' id="idEstado-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.estadogmaoasig+'">';
				            }
			    		}else{
			    			if (opts.finalizado && opts.finalizado != 0){
			    				src=$.rup.APP_STATICS + "/images/ok.png";
			    				html = '<img width="15" height="15" src='+src+' style="cursor:pointer" id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.finalizado+'" >';
			    			}else{
			    				src=$.rup.APP_STATICS + "/images/rechazar1.png";
			    				html = '<img width="15" height="15" src='+src+' style="cursor:pointer" id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.pendiente+'">';
			    			}
			    		}
			    		
			    		
			    		
			    		/*if (opts.finalizado && opts.finalizado != 0){
			    			src=$.rup.APP_STATICS + "/images/ok.png";
			    			if(opts.movilgmao == '1'){
			    				html = '<img width="15" height="15" src='+src+' id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.finalizado+'">';
			    			}else{
			    				html = '<img width="15" height="15" src='+src+' style="cursor:pointer" id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.finalizado+'" onclick="comprobarFinalizarTec(\''+el.rowId+'\');">';
			    			}	
			    		}else{
			    			src=$.rup.APP_STATICS + "/images/rechazar1.png";
			    			if(opts.movilgmao == '1'){
			    				html = '<img width="15" height="15" src='+src+' id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.pendiente+'">';
			    			}else{
			    				html = '<img width="15" height="15" src='+src+' style="cursor:pointer" id="idFin-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.pendiente+'" onclick="comprobarFinalizarTec(\''+el.rowId+'\');">';
			    			}	
			            }*/
		    			

			            return html;
			    	}
			},
			{ name: "nombre",
				label: "nombre",
				index: "nombre",
				width: "120",
				editable: false,
				edittype: "text"
			},
			{ name: "tiemporeal",
				label: "tiemporeal",
				index: "tiemporeal",
				align : "center",
				width: "59",
				editable: false,
				edittype: "text",
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                    	if (cellval && cellval != ''){
                    		var parteHoras=Math.floor(cellval/60);
                    		var parteMinutos=cellval%60;
                    		html = '<span width="20" height="20" id="idTR-'+el.rowId+'" title="'+$.rup.i18n.app.parteTecnicos.tiemporeal+'">'+parteHoras+':'+ parteMinutos +' </span>';
                    	}
                    	return html;
                	}
			},
			{
				name: "aceptada",
				hidden: true
			},
			{ name: "aceptada2",
				label: "aceptada2",
				index: "aceptada2",
				width: "40",
				align : "center",
				editable: true,
				edittype: "checkbox",
				formatter :
			     function(cellval, el, opts) 
			    	{
			    		var html = '';
			    		var src = '';
			    		 
			    		if (opts.aceptada && opts.aceptada != "0"){
			    			src=$.rup.APP_STATICS + "/images/accept.png";
			    			html = '<img width="15" height="15" src='+src+' id="idAcep-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.aceptadaTec+'">';
			    		}else if(opts.aceptada && opts.aceptada == "0"){
			    			src=$.rup.APP_STATICS + "/images/eliminar.gif";
			    			html = '<img width="15" height="15" src='+src+' id="idAcep-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.rechazadaTec+'">';
			            }else{
			            	html = '<span>-</span>';
			            }
		    			

			            return html;
			    	}
			},
			{ name: "observaciones",
				label: "observaciones",
				index: "observaciones",
				width: "250",
				editable: true,
				edittype: "text"
			},
			{ name: "idparte",
                label: "idparte",
                hidden:true,
                editable: false,
				edittype: "text"
			},
			{ name: "idparte2",
                label: "notas",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                    	var src = $.rup.APP_STATICS + "/images/ver_detalle.gif";
                    	if (opts.idparte && opts.idparte != ''){
                    		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idNota-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.notas+'" onclick="abrirNotas(\''+el.rowId+'\');">';
                    	}
                    	return html;
                	}
			},
			{ name: "enviomail",
                //label: "mail",
                align : "center",
                index: "enviomail",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
	            		var html = '';
	            		if(opts.movilgmao == '1'){
	            			var src = $.rup.APP_STATICS + "/images/mobile.png";
	                		html = '<img width="20" height="20" src='+src+' id="idMovilgmao-'+opts.idtecnico+'"  title="'+$.rup.i18n.app.parteTecnicos.movilgmao+'">';
	            		}else{
		                	if (cellval && cellval == '1'){
		                		var src = $.rup.APP_STATICS + "/images/enviada.png";
		                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idMail-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.mailenviado+'">';
		                	}
	            		}
	                	return html;
                	}
			},
			{ name: "idparte3",
                label: "imprimir",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                    	var src = $.rup.APP_STATICS + "/images/imprimir.png";
                    	if (opts.idparte && opts.idparte != ''){
                    		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idImp-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.imprimir+'" onclick="imprimirVentana(\''+el.rowId+'\');">';
                    	}
                    	return html;
                	}
			},
			{ name: "notasTec",
                //label: "notasTec",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
            		var html = '';
                	if (cellval && cellval != ''){
                		var src = $.rup.APP_STATICS + "/images/notastec.png";
                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idNotaTec-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.notasTec+'" onclick="abrirNotasTecnico(\''+el.rowId+'\');">';
                	}else{
                		/*var src = $.rup.APP_STATICS + "/images/nuevo.gif";
                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idNotaTec-'+el.rowId+'"  title="'+$.rup.i18n.app.parteTecnicos.NuevaNotasTec+'" onclick="abrirNotasTecnico(\''+el.rowId+'\');">';*/
                		html = '<span title="'+$.rup.i18n.app.parteTecnicos.sinNotasTec+'">-</span>';
                	}
                	return html;
            	}
			},						
			{ name: "notasTec",
				//label: "notasTec",
				index: "notasTec",
				width: "250",
				editable: true,
				edittype: "text",
				hidden:true
			},
			{ name: "firma",
                //label: "notasTec",
                align : "center",
                resizable: false,
                width: 15,
                sortable:false,
                formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
                		var html = '';
                		var src = $.rup.APP_STATICS + "/images/firma.png";
                		html = '<img width="20" height="20" src='+src+' style="cursor:pointer" id="idFirmaTec-'+opts.idtecnico+'"  title="'+$.rup.i18n.app.parteTecnicos.firmaTec+'" onclick="mostrarFirmaTecnico(\''+el.rowId+'\');">';
                		return html;
                	}
			},
			{
				name: "movilgmao",
				index:"movilgmao",
				hidden:true
			}
        ]
		
	});

	
	
	//var idParte = $("#idparte").val();
	$("#tecnicosLibres").empty();
	$("#tecnicosAsignados").empty();
	
	
	var propertiesOK = {
			type: "ok",
			fadeSpeed: 600,
			gotoTop: false,
			block: false,
			closeLink: false
	};

var propertiesError = {
			type: "error",
			fadeSpeed: 600,
			gotoTop: false,
			block: true,
			closeLink: false
	};
	
	$.ajax({
		type: "POST",
		url: "../procesosGmao/bajarOTcorrectivaGmao",
		dataType: "json",
		data:  { idParte:idParte},
		beforeSend : function(data) {
			//Mostrar div de sincronizando
			//Dialogo con el mensaje y barra de sincronizar con gmao...
			$("#dialogoSincronizar").rup_dialog(
			{
				type : $.rup.dialog.DIV,
				height : 200,
				width : 500,
				modal : true,
				showLoading : true,
				autoOpen : false,
				title : $.rup.i18n.app.mensajesEdificios.sincronizando
			});
			$("#dialogoSincronizar").rup_dialog("open");
		},
		success: function(data){
			respuesta = data;
			if(respuesta == "OK" || respuesta == ""){
				$("#feedback_parteTecnicos").rup_feedback (propertiesOK);
				$("#feedback_parteTecnicos").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.okSincronizar + "</strong></p>");
				$("#feedback_parteTecnicos").rup_feedback("show");
				//setTimeout(function() {
					$.ajax({
						  type: "POST",
						  url: "../tecnicos/obtenerTecnicosParteAsignados",
						  data:  { idParte:idParte},
						  success: function(data){
							  var miselect=$("#tecnicosAsignados");
							  $("#tecnicosAsignados").empty();
							  	for (var i=0; i<data.length; i++) {
				            	  if(data[i].presente){
				            		  miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
				            	  }else{
				            		  miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
				            	  }
							  	}								  
							  },
							 error: function(data){
								 alert( data);
							 },
						  dataType: "json"
						});
					
					$.ajax({
						  type: "POST",
						  url: "../tecnicos/obtenerTecnicosParteLibres",
						  data:  { idEdificio:codigoEdificio, idParte:idParte},
						  success: function(data){
							  var miselect=$("#tecnicosLibres");
							  $("#tecnicosLibres").empty();
							  	for (var i=0; i<data.length; i++) {
				                	if(data[i].presente){
				                		miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
				                	}else{
				                		miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
				                	}
				                }										  
							  },
							 error: function(data){
								 alert( data);
							 },
						  dataType: "json"
						});
					
					$("#GRID_parteTecnicos").rup_grid("reloadGrid");
					
					$("#consultarParte").rup_tabs("loadTab",{
						  idTab: "tabs",
						  position: 1
					});
				//}, 400);
				
			}else{
				$("#feedback_parteTecnicos").rup_feedback (propertiesError);
				$("#feedback_parteTecnicos").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorSincronizar + ": " + respuesta + "</strong></p>");
				$("#feedback_parteTecnicos").rup_feedback("show");
			}
			$("#dialogoSincronizar").rup_dialog("close");
			$("#dialogoSincronizar").rup_dialog("destroy");
		},
		error: function(data) {
			$("#dialogoSincronizar").rup_dialog("close");
			$("#dialogoSincronizar").rup_dialog("destroy");
	 		$("#feedback_parteTecnicos").rup_feedback (propertiesError);
	 		$("#feedback_parteTecnicos").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorSincronizar + "</strong></p>");
	 		$("#feedback_parteTecnicos").rup_feedback("show");
			  
		}
	});
	
	
	$("#GRID_parteTecnicosEjec").rup_grid({
		width: 865,
		hasMaint:true,
		//cellEdit:true,
		url: "../parteejecucion/ejecucionesParte?idParTec=" + idParTec,
		pagerName: "pagerEjec",
		rowNum: "5",
		sortorder: "asc",
		sortname: "idpareje",
		colNames: [
			"idpareje",
			"idpartec",
			$.rup.i18n.app.parteEjecucion.fechaInicio,
			$.rup.i18n.app.parteEjecucion.fechaFin
		],
		colModel: [
			{ name: "idpareje",
				label: "idpareje",
				index: "idpareje",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "idpartec",
				label: "idpartec",
				index: "idpartec",
				width: "150",
				editable: false,
				edittype: "text",
				hidden:true
			},
			{ name: "feini",
				label: "feini",
				index: "feini",
				width: "150",
				editable: false,
				edittype: "text"
			},
			{ name: "fefin",
				label: "fefin",
				index: "fefin",
				width: "150",
				editable: false,
				edittype: "text"
			}		
        ]
		
	});
	$("#parteTecnicosEjec").rup_maint({
		jQueryGrid: "GRID_parteTecnicosEjec",
		primaryKey: "idpareje",
		modelObject: "Parteejecucion",
		searchForm: "searchForm",
		//showMessages: true,
		toolbar:{
			createDefaultToolButtons:false,
			newButtons: []
	
			}
	});
	$("#GRID_parteTecnicosEjec").unbind("dblclick");
	$("#parteTecnicosEjec").hide();
	$("#labelTecnico").hide();
	$("#labelEjecTecnico").hide();	
	// ocultar la botonera de edicion
	$("#rup-maint_toolbar-parteTecnicosEjec").hide();
	
	tecnicosModoConsulta();


	if($("#idNoProcede").val() == "1"){
		$("#noprocedeChk").val("1");
		$("#noprocedeChk").prop("checked", true);
		$("#noProcedeObservTxt").val($("#idObservNoProcede").val());
		$("#divNoProcede").show();
		$("#noProcedeObserv").show();
	}else{
		$("#divNoProcede").hide();
		$("#noProcedeObserv").hide();
		$("#noprocedeChk").val("0");
		$("#noprocedeChk").prop("checked", false);
	}
	
});


function tecnicosModoConsulta(){
	//No se permiten modificar datos porque es un parte repetido. Solo se puede modificar el padre
	$("input").attr('disabled','disabled');
	$("textarea").attr('readonly','readonly');

	// ocultar la botonera de edicion
	$("#rup-maint_toolbar-parteTecnicosEjec").hide();

}



function fncDetalleEjec(){
	
	if ($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')==null){
		alert($.rup.i18n.app.parteTecnicos.seleccTecnico);
		return;
	}

	if ($("#GRID_parteTecnicosEjec").jqGrid().getGridParam('selrow')==null){
		alert($.rup.i18n.app.parteTecnicos.seleccEjec);
		return;
	}

	var feini = $("#GRID_parteTecnicosEjec").jqGrid().getRowData($("#GRID_parteTecnicosEjec").jqGrid().getGridParam('selrow')).feini;
	var fefin = $("#GRID_parteTecnicosEjec").jqGrid().getRowData($("#GRID_parteTecnicosEjec").jqGrid().getGridParam('selrow')).fefin;
	var idpareje = $("#GRID_parteTecnicosEjec").jqGrid().getRowData($("#GRID_parteTecnicosEjec").jqGrid().getGridParam('selrow')).idpareje;
	
	try{
		$("#idFechaInicio").rup_date("destroy");
		$("#idFechaFin").rup_date("destroy");
		var propertiesFeEje= {
				from: "idFechaInicio",
				to : "idFechaFin",
				datetimepicker:true,
				showSecond: false,
				timeFormat: 'hh:mm',
				independientes: true
				};
		$.rup_date (propertiesFeEje);
	}catch(e){
		
	}

	$("#editarEjec").rup_dialog("destroy");
	$("#formParteEjec").rup_form("clearForm");
	$("#editarEjec").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:150,
        width:509,  
        resizable:false,
        title:"",
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarEditarEjec",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function (){
	        		if ($("#idFechaInicio").val()=="" && $("#idFechaFin").val()!=""){
	        			alert($.rup.i18n.app.parteEjecucion.faltaFechaInicio);
	        			return;
	        		}else{
	        			guardarModifEjecucion();	
	        		}
	        	}
        	},
	        {
	    		id: "cerrarEditarEjec",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#editarEjec").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });

	var propertiesFeEje= {
			from: "idFechaInicio",
			to : "idFechaFin",
			datetimepicker:true,
			showSecond: false,
			timeFormat: 'hh:mm',
			independientes: true
			};
	$.rup_date (propertiesFeEje);

	$("#accionEje").val("MODIFICAR");
	$("#idpartecEjec").val(idParTec);
	//$("#idFechaInicio").val(feini);
	$("#idFechaInicio").rup_date("setRupValue",feini);
	
	//$("#idFechaFin").val(fefin);
	$("#idFechaFin").rup_date("setRupValue",fefin);
	$("#idparejeEjec").val(idpareje);
}
function cargarEjecucionTecnico(){
	$("#parteTecnicosEjec").show();
	$("#labelTecnico").show();
	$("#labelEjecTecnico").show();
	
	$("#GRID_parteTecnicosEjec").show();
	idParTec=$("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idpartec;
	$("#idpartec_search").val(idParTec);
	
	$("#parteTecnicosEjec").rup_maint("search");
	
	$("#labelTecnico").html($("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).nombre);
	
	var valorActual = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).finalizado;
	if (valorActual=="1"){
		// ocultar la botonera de edicion
		$("#rup-maint_toolbar-parteTecnicosEjec").hide();
	}else{
		$("#rup-maint_toolbar-parteTecnicosEjec").show();
	}
	
		// ocultar la botonera de edicion
		$("#rup-maint_toolbar-parteTecnicosEjec").hide();
	
	//Si el técnico seleccionado tiene aplicación móvil, ocultamos el botón de nuevo y eliminar
	var valormovilgmao = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).movilgmao;
	if(valormovilgmao == "1"){
		$("#rup-maint_toolbar-parteTecnicosEjec").hide();
	}else{
		$("#rup-maint_toolbar-parteTecnicosEjec").show();
	}
	
}
function imprimirVentana(){
	//MOSTRAR EL TAB GENERAL. 
	$("#consultarParte").rup_tabs("selectTab",{
		idTab: "consultarParte",
		position: 0
		});
	window.print();
}


function abrirNotas(IDseleccionado){
	
	$("#GRID_parteTecnicos").setSelection(IDseleccionado,true);
			
	var observaciones = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).observaciones;
	var idparteTecnico = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idpartec;
	var idparte = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idparte;
	var idtecnico = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idtecnico;
	//Mostrar la ventana de lupa Notas
	
	$('#idtextoNotas').attr('readonly', true);

	$("#lupaNotas").rup_dialog("destroy");
	$("#lupaNotas").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:$("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).nombre,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupaNotas",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		$("#lupaNotas").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarLupaNotas",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaNotas").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
	
	$("#idtextoNotas").val(observaciones);
	
}


function mostrarFirmaTecnico(IDseleccionado){
	$("#GRID_parteTecnicos").setSelection(IDseleccionado,true);
	
	var finalizado = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).finalizado;
	var idparte = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idparte;
	var idtecnico = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idtecnico;
	var idpartetecnico = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idpartec;
	
	//Si esta finalizado tiene la imagen de la firma
	if(finalizado != null && finalizado != 0){
		
		//Mostrar la ventana de lupa del plano
		$("#lupaFirma").rup_dialog({      
			type: jQuery.rup.dialog.DIV,
			modal:true,
	        height:360,
	        width:480,  
	        resizable:false,
	        title:"",
	        autoOpen:true,
	        showLoading:true,
	        async:false, 
	        zIndex: -1,
	        buttons:[
		        {
		    		id: "cerrarLupaFirma",
		    		text: $.rup.i18n.base.rup_global.cancelar,
		        	click: function() {
		        		$("#lupaFirma").rup_dialog("close");
		        	},
		        	btnType:$.rup.dialog.LINK
	        	}]
	      });
		 var cPunto = document.getElementById("canvaFirma1");
		 var ctxPunto = cPunto.getContext("2d");
		
		 planoFirma = new Image();
		 planoFirma.onload=function(){
			 ctxPunto.clearRect( 0, 0, 640, 480);
			 ctxPunto.drawImage(planoFirma, 0, 0, 320, 240);
			 
		 };
		planoFirma.src="../procesosGmao/mostrarFirmaParte?idparte=" + idparte + "&idtecnico="+idtecnico+"&idpartec="+idpartetecnico;

		
	}else{
		alert("El técnico todavía no ha finalizado las ejecuciones");
	}
}



function abrirNotasTecnico(IDseleccionado){
	
	$("#GRID_parteTecnicos").setSelection(IDseleccionado,true);
			
	var notasTec = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).notasTec;
	var idparteTecnico = $("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).idpartec;
	//Mostrar la ventana de lupa Notas


	$('#idtextoNotasTecnico').attr('readonly', true);
	

	$("#lupaNotasTecnico").rup_dialog("destroy");
	$("#lupaNotasTecnico").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:$("#GRID_parteTecnicos").jqGrid().getRowData($("#GRID_parteTecnicos").jqGrid().getGridParam('selrow')).nombre,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupaNotasTecnico",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		

	        		$("#lupaNotasTecnico").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarLupaNotasTecnico",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaNotasTecnico").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
	
	$("#idtextoNotasTecnico").val(notasTec);
	
	//******************IMPORTANTE **************
	// este fichero es para el responsable y/o administrador
	// El usuario responsable y/o administrador no puede modificar las notas de los tecnicos
	$('textarea#idtextoNotasTecnico').attr('readonly','readonly');
}

	


	


	
	
	    
